ExcludeArch: ia64 alpha

%define gal_version 0.19.2
%define gtkhtml_version 1.0.2

%define ldap_support 1
%define pilot_support 0
# note that nntp and krb5 support are both non-functional in evo 1.0.x; defines
# are only here for future convenience
%define nntp_support 0
%define krb5_support 0

%define dbdir db-3.1.17
%define buildtopdir $RPM_BUILD_DIR/%{name}-%{version}

Name: evolution
Version: 1.0.8
Release: 11.1
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/gnome/stable/sources/evolution/%{name}-%{version}.tar.bz2
Source1: db-3.1.17.tar.bz2
# patches pulled from upstream CVS
Patch0: evolution-1.0.3-non-attendee-acceptance.patch
Patch1: evolution-1.0.3-startupwizardcrash.patch
Patch2: evolution-1.0.3-useproperldapattribs.patch
Patch3: evolution-1.0.3-einprogress.patch
Patch4: evolution-1.0.3-fixcrash.patch
Patch5: evolution-1.0.3-unreadcount.patch

# Red Hat Linux specific patches
Patch10: evolution-1.0.1-dborder.patch
Patch11: evolution-1.0.2-redhatify.patch
Patch12: evolution-1.0.8-killdeadsummary.patch
Patch13: evolution-1.0.8-nokdedesktopinstall.patch

Patch20: evolution-ja-charset.patch

Patch30: evolution-1.0.5-mozilla10.patch

# submitted upstream
Patch40: evolution-1.0.7-omffixes.patch
Patch50: evolution-1.0.8-ldapv3.diff

# bugzilla.ximian.com 29784
Patch51: evolution-1.0.8-stackcorrupt.patch

# bug 82374 -- certiain mime text/plain messages cause evo to crash
Patch100: evolution-1.0.8-textcrash-82374.patch

# security fixes backported from 1.2.2 for CORE-20030304
Patch200: evolution-1.0.8-dont-use-bonobo-component.patch
Patch201: evolution-1.0.8-safer-contentid-parse.patch
Patch202: evolution-1.0.8-sanity-check-uue-header.patch

Summary: GNOME's next-generation groupware suite
Group: Applications/Productivity

Requires: scrollkeeper >= 0.1.4
# these are explicit because older versions cause unexpected component hangs
Requires: bonobo >= 1.0.14
Requires: GConf >= 1.0.7
Requires: oaf >= 0.6.7
Requires: mozilla-nss >= 1.0.1
Requires: mozilla-nspr >= 1.0.1

BuildRequires: gtkhtml-devel >= %{gtkhtml_version}
BuildRequires: gal-devel >= %{gal_version}
BuildRequires: bonobo-devel >= 1.0.3
BuildRequires: bonobo-conf-devel >= 0.12
BuildRequires: oaf-devel >= 0.6.2
BuildRequires: gdk-pixbuf-devel >= 0.9.0
BuildRequires: gnome-vfs-devel >= 1.0.0
BuildRequires: libglade-devel >= 0.14
BuildRequires: GConf-devel >= 0.6
BuildRequires: ORBit-devel >= 0.5.10
BuildRequires: gnome-print-devel >= 0.25
BuildRequires: libxml-devel >= 1.8.16
BuildRequires: intltool >= 0.17
BuildRequires: gtk+-devel >= 1.2.9
BuildRequires: freetype-devel

BuildRequires: mozilla-nspr-devel >= 1.0.1
BuildRequires: mozilla-nss-devel >= 1.0.1
BuildRequires: pkgconfig

BuildRequires: desktop-file-utils

%if %{ldap_support} 
BuildRequires: openldap-devel >= 2.0.11 
%endif

%if %{pilot_support} 
BuildRequires: gnome-pilot-devel 
%endif

%if %{krb5_support} 
BuildRequires: krb5-devel 
%endif

%description
Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

%prep
%setup -q -a 1
# these are in CVS already on the 1-0-branch
#%patch0 -p0 -b .appointments
#%patch1 -p0 -b .startupwizardcrash
#%patch2 -p0 -b .ldapattribs
#%patch3 -p0 -b .einprogress
#%patch4 -p0 -b .fixcrash
#%patch5 -p0 -b .unreadcount

# Red Hat specific patches
%patch10 -p0 -b .dborder
%patch11 -p0 -b .rhatify
%patch12 -p0 -b .deadsites
%patch13 -p0 -b .nokde

%patch20 -p0 -b .jacharset

#patch30 -p0 -b .mozilla10

%patch40 -p1 -b .omf

%patch50 -p0 -b .ldapv3

%patch51 -p1 -b .stackcorrupt

%patch100 -p1 -b .textplain

%patch200 -p1 -b .bonobocomponent
%patch201 -p1 -b .contentid
%patch202 -p1 -b .uueheader

%build

## build our db 3.1.17
cd %{buildtopdir}/%{dbdir}/build_unix
CFLAGS="$RPM_OPT_FLAGS -fPIC" ../dist/configure --prefix=%{_prefix} --enable-static
make

## back to evolution 
cd %{buildtopdir}

# define all of our flags, this is kind of ugly :(
%if %{ldap_support}
%define ldap_flags --with-openldap=yes
%else
%define ldap_flags --without-openldap
%endif

%if %{pilot_support}
%define pilot_flags --enable-pilot-conduits=yes
%else
%define pilot_flags --enable-pilot-conduits=no
%endif

%if %{krb5_support}
%define krb5_flags --with-krb5=/usr/kerberos
%else
%define krb5_flags --without-krb5
%endif

%if %{nntp_support}
%define nntp_flags --enable-nntp=yes
%else
%define nntp_flags --enable-nntp=no
%endif

#autoconf-2.13
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%configure --enable-gtk-doc=no \
  --with-db3-includes=%{buildtopdir}/%{dbdir}/build_unix \
  --with-db3-libs=%{buildtopdir}/%{dbdir}/build_unix \
  --enable-file-locking=fcntl --enable-dot-locking=no \
  --with-sub-version=" (%{version}-%{release})" \
  %ldap_flags %pilot_flags %krb5_flags %nntp_flags \
  --with-nspr-includes=/usr/include/mozilla-1.0.1/nspr --with-nspr-libs=/usr/lib --with-nss-includes=/usr/include/mozilla-1.0.1/nss --with-nss-libs=/usr/lib
make

cat /dev/null > default_user/local/Inbox/mbox

%install
%makeinstall

# remove static and libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.a' -exec rm {} \;
find $RPM_BUILD_ROOT/%{_libdir}/evolution -name '*.la' -exec rm {} \;

# vfolder desktop file install stuff
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
#desktop-file-install --vendor gnome --delete-original \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications       \
#  --add-category X-Red-Hat-Extra                      \
#  --add-category Network                              \
#  --add-category Application                          \
#  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/evolution.desktop

# evolution is the preferred email app
ln -sf %{_datadir}/desktop-menu-patches/redhat-email.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/

%find_lang %name

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_datadir}/applications/*
%{_datadir}/gnome/help/evolution
%{_datadir}/gnome/ui/*
%{_datadir}/gnome/html/*
%{_datadir}/libical-evolution
%{_datadir}/mime-info/*
%{_datadir}/evolution
%{_datadir}/idl/*.idl
%{_datadir}/oaf/*.oaf
%{_datadir}/omf/evolution
%{_datadir}/pixmaps/*
%{_datadir}/images
%{_libdir}/*.so*
%{_libdir}/evolution
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*

%if %{pilot_support}
%{_libdir}/gnome-pilot/conduits/*.so
%{_datadir}/gnome-pilot/conduits/*
%endif

%changelog
* Fri Mar 21 2003 Peter Hanecak <hanecak@megaloman.sk> 1.0.8-11.1
- pilot_support set to 0

* Wed Mar 19 2003 Jeremy Katz <katzj@redhat.com> 1.0.8-11
- backport security patches from upstream (originally against 1.2.2)
  - sanity check UUEncoding header before decoding (CAN-2003-0128)
  - don't decode doubly UUEncoded content (CAN-2003-0129)
  - don't use a bonobo component to display things without registered 
    handlers (CAN-2003-0130)

* Tue Sep  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-10
- add freetype-devel to build requires (#73319)

* Mon Sep  2 2002 Owen Taylor <otaylor@redhat.com>
- Fix a problem where evolution-mail right click items corrupted the stack
  (#67992)

* Thu Aug 29 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-9
- don't install two desktop files (#72871)

* Wed Aug 28 2002 Preston Brown <pbrown@redhat.com> 1.0.8-8
- absolute symlink .desktop file (#72913)

* Thu Aug 22 2002 han Ngo <than@redhat.com> 1.0.8-7
- rebuild against new pilot-link

* Sat Aug 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- bzip2 source

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 1.0.8-5
- rebuild against new pilot-link-0.11.2

* Thu Jul 18 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-4
- rebuild against new gnome-pilot

* Tue Jul  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-3
- remove static and libtool archives for importers and camel-providers (#68222)
- do desktop-file-install magic 
- remove dead sites from summary list (#64522)
- support openldap protocol version 3 based off of Nalin's autofs changes 

* Mon Jul  8 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-2
- fix openldap-devel buildrequire

* Mon Jul  1 2002 Jeremy Katz <katzj@redhat.com> 1.0.8-1
- 1.0.8 

* Thu Jun 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-2
- include patch to omf files from otaylor@redhat.com to fix 
  scrollkeeper validation errors

* Sun Jun 23 2002 Jeremy Katz <katzj@redhat.com> 1.0.7-1
- update to 1.0.7
- excludearch alpha while mozilla isn't being built there

* Sun May 26 2002 Tim Powers <timp@redhat.com> 1.0.5-2
- automated rebuild

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- update to 1.0.5

* Fri May  3 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-6
- add patch to fix spool unread counts (#64198)
- build with the fix for the crasher mail sent to 
  evolution-list (ximian #24140)

* Mon Apr 15 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- include fejj(at)ximian.com's patch to fix the EINPROGRESS error with ssl 
  since it's been committed to the branch and fixes the problem for me
- include patch from tagoh(at)redhat.com to change the default charset 
  for Japanese to ISO-2022-JP (#63214)

* Wed Apr 10 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- minor tweaks to the redhatify patch
- make accepting appointments sent to mailing lists work
- use the RFC specified LDAP attribs for freebusy and calendarURI 
  in addressbook
- fix a crash in the startup wizard

* Sun Mar 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- move desktop file to /etc/X11/applnk (#62399)

* Sun Mar 24 2002 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- update to evolution 1.0.3
- change summary view to show a recent errata list by default

* Thu Mar 14 2002 Jeremy Katz <katzj@redhat.com>
- put correct path to nspr includes on configure command line

* Mon Mar 11 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-3
- mozilla 0.9.9 has nspr and nss subpackages, hooray!  rip out the static 
  libnss linkage and just link against what is provided dynamically
- kill the -devel subpackage since it's of questionable use
- explicitly require mozilla-nss and mozilla-nspr packages to make it easier
  to resolve the requirements

* Thu Feb 21 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-2
- rebuild in new environment
- temporarily exclude on ia64 again

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- update to 1.0.2

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-4
- build on ia64 now that mozilla exists for ia64

* Sun Jan 27 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-3
- rebuild in new environment
- add pilot support

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-2
- rebuild without mozilla-psm in the buildroot so libnss is linked 
  statically as intended

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- update to 1.0.1
- patch for autoconf 2.52 accepted upstream
- include man page
- use --with-sub-version=" (%%{version}-%%{release})"

* Tue Dec 18 2001 Jeremy Katz <katzj@redhat.com> 1.0-2
- really disable news
- add patch from Jens Petersen <juhp@redhat.com> to hopefully get 
  builds working with autoconf 2.52
- conditionalize static libnss stuff so that it can go away when we
  have a mozilla with shared libnss

* Thu Dec  6 2001 Jeremy Katz <katzj@redhat.com> 1.0-1.7.2
- add patches off of branch for:
  * do not show up as Preview Release in version string
  * have next/previous work with multiple selected messages
- build without pilot support

* Mon Dec  3 2001 Jeremy Katz <katzj@redhat.com> 1.0-1
- and bump to 1.0

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- let's build with an included copy of libnss now since OpenSSL is support
  is disabled on the 1.0 branch
- build with --enable-dot-locking=no
- excludearch ia64 again now that we need libnspr

* Mon Nov 26 2001 Jeremy Katz <katzj@redhat.com>
- build with gnome-pilot and krb5 support
- conditionalize ldap, pilot and krb5 support
- clean up buildrequires some

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- we can build on ia64 since we're using openssl instead of nspr
- disable non-functional nntp support 
- 0.99.2 (rc2) 

* Fri Nov  9 2001 Jeremy Katz <katzj@redhat.com>
- add explicit requires on current bonobo, oaf, and GConf to help people
  help themselves
- s/Copyright/License/

* Thu Nov  8 2001 Jeremy Katz <katzj@redhat.com>
- add a patch to revert changes to camel-tcp-stream-openssl; appears to 
  fix the SSL hangs

* Wed Nov  7 2001 Jeremy Katz <katzj@redhat.com>
- fix filelist to include libical zoneinfo
- add devel subpackage with includes and static libs

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.99.0 aka 1.0 RC1

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.16 snagged from Ximian GNOME

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- initial build based on David Sainty's specfile

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.15.99, 20011004 from cvs.

* Wed Sep 05 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010905 from cvs.

* Mon Sep 03 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.13.99, 20010903 from cvs.
- Fixed Requires + BuildRequires

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Updated to 0.12.99, 20010806 from cvs.

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- Relocated libical* from /usr/lib due to kdepim, -2

* Mon Aug 06 2001 David Sainty <dsainty@redhat.com>
- First spec file for evolution.

